package processo;

import javax.swing.JOptionPane;

import dominio.EccezionePrecondizioni;
import dominio.Ordine;
import dominio.Utente;
import _framework.Executor;
import _framework.Task;

import java.awt.HeadlessException;
import java.util.*;

public class InviaOrdine implements Task 
{
	Utente utente;
	Ordine ordine;
	
	public InviaOrdine(Utente utente, Ordine ordine) 
	{
		this.utente=utente;
		this.ordine=ordine;
	}

	public void esegui(Executor e) 
	{
		try {
			JOptionPane.showMessageDialog(null, "Ordine inviato ad utente "+utente.getNome()+
					".\nL'importo dell'ordine ammonta a Euro "+ordine.prezzoTotale());
		} 
		catch (EccezionePrecondizioni e1) {
			e1.printStackTrace();
		}
		ordine.setDataInvio(new Date());
	}

}
